cURL
curl --request GET \
--url https://api.xpaycheckout.com/payment-method-token/{paymentMethodTokenId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xpaycheckout.com/payment-method-token/{paymentMethodTokenId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.xpaycheckout.com/payment-method-token/{paymentMethodTokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentMethodId": "pmt_ftoeKIYGC3f43frT",
"paymentMethod": "CARD",
"customerId": "cus_Tfd3Jq1tZxPjYVhRQW2r3",
"status": "LIVE",
"createdAt": 1727340330123
}{
"errorCode": "bad_request",
"errorDescription": "Failed to read request"
}Setup Method
Get Payment Method Token
Get details of a payment method token
GET
/
payment-method-token
/
{paymentMethodTokenId}
cURL
This API allows you to retrieve the details of a payment method token, including its status and associated information.
To get a list of payment method tokens for a customer, use the /customers/payment-method-token endpoint.
Status Values
The payment method token can have one of the following statuses:LIVE: The payment method token is active and can be used for transactionsDELETED: The payment method token has been deleted and cannot be used for transactions
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier of the payment method token
Response
Payment method token details retrieved successfully
Unique identifier of the payment method
Example:
"pmt_ftoeKIYGC3f43frT"
Type of payment method
Example:
"CARD"
The unique identifier for the customer, generated via the create-customer API
Example:
"cus_Tfd3Jq1tZxPjYVhRQW2r3"
Epoch timestamp in milliseconds of when the payment method token was created
Example:
1727340330123
Was this page helpful?